require 'viga/controller'

module Viga::Routes
  def viga_routes
    post   'tests/:scenario_id/start', to: 'tests#start'
    delete 'tests/stop'
    generate_viga_controller
  end

  private

  def generate_viga_controller
    const_namespace = ActiveSupport::Dependencies.constantize(@scope[:module].camelize)
    const_namespace.const_set("TestsController", Class.new(Viga::Controller))
  end
end

ActionDispatch::Routing::Mapper.send(:include, Viga::Routes)
